
from astropy.io import fits

evt_file=str(raw_input())
hduevt = fits.open(evt_file)
gti_file=str(raw_input())
hdugti = fits.open(gti_file)

out_suf=str(raw_input())
out_file='event_'+out_suf+'.fits'
out_gti='gti_'+out_suf+'.fits'
orb_file=str(raw_input())

ra=str(raw_input())

dec=str(raw_input())

print ('\nMODIFYING THE HEADERS OF '+evt_file+' & '+gti_file+' FILE .....\n')
#hduevt.info()

#defining variables for event file
exthdr=hduevt[1].header
prihdr=hduevt[0].header

#Copying keywords to [1] extension
exthdr.set('TSTART',prihdr['TSTART'])
exthdr.set('TSTOP',prihdr['TSTOP'])
exthdr.set('TIMEDEL',prihdr['TIMEDEL'])
exthdr.set('MJDREFI',prihdr['MJDREFI'])
exthdr.set('MJDREFF',prihdr['MJDREFF'])
exthdr.set('TIMESYS',prihdr['TIMESYS'])
exthdr.set('TELESCOP',prihdr['TELESCOP'])
exthdr.set('TIMEZERI',prihdr['TIMEZERI'])
exthdr.set('TIMEZERF',prihdr['TIMEZERF'])
exthdr.set('TIMEUNIT',prihdr['TIMEUNIT'])
exthdr.set('RADECSYS',prihdr['RADECSYS'])

#writing fits file
try:
	fits.writeto(out_file, hduevt[0].data,hduevt[0].header,clobber=True)
	fits.append(out_file, hduevt[1].data,hduevt[1].header)
	fits.append(out_file, hduevt[2].data,hduevt[2].header)
except:
    #raise Exception("\nError in Modifying Event file\n")
    print("\n Error!!! in Modifying Event file ??????????????????????")
    print("\n Please check all the INputs...\n")
    print("??????????????????????????????????????????????????????????")
    hduevt.close()
    exit()
    
print ('\nMODIFIED EVENT FILE '+out_file+' HAS SUCCESSFULLY CREATED')

#defining variables for gti file
exthdr_gti=hdugti[1].header
prihdr_gti=hdugti[0].header

#renaming GTI extension
hdugti[1].name='GTI'

#Copying keywords to GTI extension
exthdr_gti.set('TSTART',prihdr['TSTART'])
exthdr_gti.set('TSTOP',prihdr['TSTOP'])
exthdr_gti.set('TIMEDEL',prihdr['TIMEDEL'])
exthdr_gti.set('MJDREFI',prihdr['MJDREFI'])
exthdr_gti.set('MJDREFF',prihdr['MJDREFF'])
exthdr_gti.set('TIMESYS',prihdr['TIMESYS'])
exthdr_gti.set('TELESCOP',prihdr['TELESCOP'])
exthdr_gti.set('TIMEZERI',prihdr['TIMEZERI'])
exthdr_gti.set('TIMEZERF',prihdr['TIMEZERF'])
exthdr_gti.set('TIMEUNIT',prihdr['TIMEUNIT'])
exthdr_gti.set('RADECSYS',prihdr['RADECSYS'])

#writing fits file
try:
	fits.writeto(out_gti, hdugti[0].data,hdugti[0].header,clobber=True)
	fits.append(out_gti, hdugti[1].data,hdugti[1].header)
except:
    print("\n Error!!! in Modifying GTI file ??????????????????????")
    print("\n Please check all the INputs...\n")
    print("?????????????????????????????????????????????")  
    hdugti.close()
    exit()
    
hdugti.close()
hduevt.close()

print ('\nMODIFIED GTI '+out_gti+' HAS SUCCESSFULLY CREATED')
print "\n############################## COMPLETE ##############################"
